From a83ab92189a6aa9d81f0f96aa905d023853a3c12 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sun, 24 Dec 2017 17:20:33 +1300
Subject: Fix pseudo-dependencies

See also: https://github.com/yanick/PPIx-EditorTools/pull/9
---
 META.json              |  9 +--------
 META.yml               |  7 -------
 Makefile.PL            | 16 +---------------
 cpanfile               |  7 -------
 dist.ini               |  5 +++++
 t/00-report-prereqs.dd |  9 +--------
 6 files changed, 8 insertions(+), 45 deletions(-)

diff --git a/META.json b/META.json
index e5a97e2..c97d9ab 100644
--- a/META.json
+++ b/META.json
@@ -49,22 +49,15 @@
             "CPAN::Meta" : "2.120900"
          },
          "requires" : {
-            "Class::Accessor" : "0",
             "ExtUtils::MakeMaker" : "0",
             "File::Spec" : "0",
             "File::Temp" : "0",
             "IO::Handle" : "0",
             "IPC::Open3" : "0",
-            "Method::Signatures" : "0",
-            "Moose" : "0",
-            "MooseX::Declare" : "0",
             "Test::Differences" : "0",
             "Test::Exception" : "0",
             "Test::More" : "0",
-            "Test::Most" : "0",
-            "autodie" : "0",
-            "lib" : "0",
-            "version" : "0"
+            "Test::Most" : "0"
          }
       }
    },
diff --git a/META.yml b/META.yml
index 33840f5..5cf9d6a 100644
--- a/META.yml
+++ b/META.yml
@@ -7,22 +7,15 @@ author:
   - 'Gabor Szabo  <gabor@szabgab.com>'
   - 'Yanick Champoux <yanick@cpan.org>'
 build_requires:
-  Class::Accessor: '0'
   ExtUtils::MakeMaker: '0'
   File::Spec: '0'
   File::Temp: '0'
   IO::Handle: '0'
   IPC::Open3: '0'
-  Method::Signatures: '0'
-  Moose: '0'
-  MooseX::Declare: '0'
   Test::Differences: '0'
   Test::Exception: '0'
   Test::More: '0'
   Test::Most: '0'
-  autodie: '0'
-  lib: '0'
-  version: '0'
 configure_requires:
   ExtUtils::MakeMaker: '0'
 dynamic_config: 0
diff --git a/Makefile.PL b/Makefile.PL
index 15dacc8..d1ae11e 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -29,22 +29,15 @@ my %WriteMakefileArgs = (
     "warnings" => 0
   },
   "TEST_REQUIRES" => {
-    "Class::Accessor" => 0,
     "ExtUtils::MakeMaker" => 0,
     "File::Spec" => 0,
     "File::Temp" => 0,
     "IO::Handle" => 0,
     "IPC::Open3" => 0,
-    "Method::Signatures" => 0,
-    "Moose" => 0,
-    "MooseX::Declare" => 0,
     "Test::Differences" => 0,
     "Test::Exception" => 0,
     "Test::More" => 0,
-    "Test::Most" => 0,
-    "autodie" => 0,
-    "lib" => 0,
-    "version" => 0
+    "Test::Most" => 0
   },
   "VERSION" => "0.20",
   "test" => {
@@ -55,7 +48,6 @@ my %WriteMakefileArgs = (
 
 my %FallbackPrereqs = (
   "Carp" => 0,
-  "Class::Accessor" => 0,
   "Class::XSAccessor" => "1.02",
   "ExtUtils::MakeMaker" => 0,
   "File::Basename" => 0,
@@ -63,9 +55,6 @@ my %FallbackPrereqs = (
   "File::Temp" => 0,
   "IO::Handle" => 0,
   "IPC::Open3" => 0,
-  "Method::Signatures" => 0,
-  "Moose" => 0,
-  "MooseX::Declare" => 0,
   "PPI" => "1.203",
   "PPI::Find" => 0,
   "Test::Differences" => 0,
@@ -73,11 +62,8 @@ my %FallbackPrereqs = (
   "Test::More" => 0,
   "Test::Most" => 0,
   "Try::Tiny" => 0,
-  "autodie" => 0,
   "base" => 0,
-  "lib" => 0,
   "strict" => 0,
-  "version" => 0,
   "warnings" => 0
 );
 
diff --git a/cpanfile b/cpanfile
index 770d0bc..c8a3208 100644
--- a/cpanfile
+++ b/cpanfile
@@ -11,22 +11,15 @@ requires "strict" => "0";
 requires "warnings" => "0";
 
 on 'test' => sub {
-  requires "Class::Accessor" => "0";
   requires "ExtUtils::MakeMaker" => "0";
   requires "File::Spec" => "0";
   requires "File::Temp" => "0";
   requires "IO::Handle" => "0";
   requires "IPC::Open3" => "0";
-  requires "Method::Signatures" => "0";
-  requires "Moose" => "0";
-  requires "MooseX::Declare" => "0";
   requires "Test::Differences" => "0";
   requires "Test::Exception" => "0";
   requires "Test::More" => "0";
   requires "Test::Most" => "0";
-  requires "autodie" => "0";
-  requires "lib" => "0";
-  requires "version" => "0";
 };
 
 on 'test' => sub {
diff --git a/dist.ini b/dist.ini
index 37e7ddc..d38eb38 100644
--- a/dist.ini
+++ b/dist.ini
@@ -10,8 +10,13 @@ license = Perl_5
 copyright_holder = The Padre development team as listed in Padre.pm.
 copyright_year   = 2011
 
+[FileFinder::Filter / NoExecTests]
+finder = :TestFiles
+skip  = outline
+
 [@Filter]
 -bundle=@YANICK
 -remove=Covenant
 NextVersion::Semantic.format=%d.%2d
 AutoPrereqs.skip=Abc
+AutoPrereqs.test_finder = NoExecTests
diff --git a/t/00-report-prereqs.dd b/t/00-report-prereqs.dd
index b8c35ca..30d5772 100644
--- a/t/00-report-prereqs.dd
+++ b/t/00-report-prereqs.dd
@@ -30,22 +30,15 @@ do { my $x = {
                                      'CPAN::Meta' => '2.120900'
                                    },
                    'requires' => {
-                                   'Class::Accessor' => '0',
                                    'ExtUtils::MakeMaker' => '0',
                                    'File::Spec' => '0',
                                    'File::Temp' => '0',
                                    'IO::Handle' => '0',
                                    'IPC::Open3' => '0',
-                                   'Method::Signatures' => '0',
-                                   'Moose' => '0',
-                                   'MooseX::Declare' => '0',
                                    'Test::Differences' => '0',
                                    'Test::Exception' => '0',
                                    'Test::More' => '0',
-                                   'Test::Most' => '0',
-                                   'autodie' => '0',
-                                   'lib' => '0',
-                                   'version' => '0'
+                                   'Test::Most' => '0'
                                  }
                  }
      };
-- 
2.15.1

